Request to send money

Create a "request to send money" that will require approval based on your organization's approval policies.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope: Send Money with Approval (does not require an IP whitelist)

For an implementation guide and acceptable uses for this endpoint, refer to
the Create Transaction docs.

Note:

This endpoint provides a way to queue payments that require approval from the web interface. The user approving the payment will need to be different than the user who created the API Token, and the approving user will need to have proper send money permissions.

Since this endpoint requires approval to send money, an IP whitelist is not required if using this endpoint with a Custom token. Thus, this endpoint may be useful in situations where a static IP is not available.

ℹ️

Payment Methods

When using domesticWire as a paymentMethod:

  • purpose.simple.category is required.
  • purpose.simple.additionalInfo:
    • Required when purpose.simple.category is:
      • Vendor (vendor name)
      • Contractor (contractor name)
      • Other (payment description)
    • Optional for:
      • Subsidiary
    • Not allowed for all other categories

When using realTimePayment as a paymentMethod:

  • Note: Real-time payments are designed to settle in seconds, and the network is open 24/7, including weekends and holidays. Real-time payments are designed to be final once submitted. Since settlement happens immediately, they generally cannot be canceled or reversed by the sender. Read more in Mercury's Help Center.

  • The recipient's routing number must be eligible for Real-time payments, either through the RTP® network and/or the FedNow service. You can validate a routing number's eligibility when adding or updating a recipient's realTimePaymentRoutingInfo. Before sending, check with your recipient to make sure their bank can receive Real-time payments.

  • Real-time payments are only available to Mercury accounts provided through our partner, Column N.A. You can check an account's eligibility to send Real-time payments with the canSendRealTimePayments attribute available in the getAccounts response.

  • $10,000,000 is the maximum amount for an individual transaction.

Path Params
uuid
required

ID for a Mercury account.

Body Params
double
required
≥ 0.01

Amount of USD you want to send, must be a positive number.

string
enum

Who pays intermediary bank fees on a USD international wire. Pass 'ours' so the recipient receives the full amount (Mercury charges a $15 fee), or 'shared' to split those fees. If omitted on a USD international wire, this defaults to 'ours'. Do not include this field for other payment methods or accounts that are not charged international-wire fees.

Allowed:
string

Optional external memo

string
required

Unique string identifying the transaction

string

Optional note

string
enum
required

Payment method to use. If domesticWire or internationalWire is used, then the purpose field is required.

Allowed:
purpose
object

Purpose of payment with category and optional additional info. Required when paymentMethod is 'domesticWire' or 'internationalWire'.

uuid
required

Recipient ID from the /recipients endpoint.

Responses

400

Invalid body

404

accountId not found

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json